petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMTSSetRHSFunctionLocal

set a local rhs function evaluation function. This function is called with local vector containing the local vector information PLUS ghost point information. It should compute a result for all local elements and DMTS will automatically accumulate the overlapping values.

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetRHSFunctionLocal(DM dm, PetscErrorCode (*func)(DM, PetscReal, Vec, Vec, void *), void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local function evaluation
| ctx | - context for function evaluation

### See Also

DMTSSetRHSFunction(), DMTSSetIFunction(), DMTSSetIJacobianLocal()

Level:beginner
Location:src/ts/utils/dmlocalts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html